org.apache.lucene.monitor

## Class HighlightsMatch.Hit

- java.lang.Object
- - org.apache.lucene.monitor.HighlightsMatch.Hit

All Implemented Interfaces:
  Comparable<HighlightsMatch.Hit>

Enclosing class:
  HighlightsMatch

    public static class HighlightsMatch.Hit
    extends Object
    implements Comparable<HighlightsMatch.Hit>

Represents an individual hit

### Field Summary

Fields
`int` `endOffset` The end offset
`int` `endPosition` The end positions
`int` `startOffset` The start offset
`int` `startPosition` The start position

### Constructor Summary

Constructors
Constructor and Description
`Hit(int startPosition, int startOffset, int endPosition, int endOffset)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(HighlightsMatch.Hit other)`
`boolean` `equals(Object obj)`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### startPosition

    public final int startPosition

The start position

#### startOffset

    public final int startOffset

The start offset

#### endPosition

    public final int endPosition

The end positions

#### endOffset

    public final int endOffset

The end offset

### Constructor Detail

#### Hit

    public Hit(int startPosition,
               int startOffset,
               int endPosition,
               int endOffset)

### Method Detail

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### compareTo

    public int compareTo(HighlightsMatch.Hit other)

Specified by:
  `compareTo` in interface `Comparable<HighlightsMatch.Hit>`